{
  "license": "MIT",
  "engines": {
    "node": ">=20.0.0"
  },
  "browserslist": "> 0.5%, last 2 versions, Firefox ESR, not dead",
  "keywords": [
    "astro",
    "blog",
    "portfolio",
    "website"
  ],
  "repository": {
    "type": "git",
    "url": "https://git.jaroszew.ski/patrick/portfolio.git"
  },
  "bugs": {
    "url": "https://git.jaroszew.ski/issues"
  },
  "homepage": "https://patrick.jaroszew.ski",
  "name": "patrick.jaroszew.ski",
  "type": "module",
  "version": "1.0.0",
  "private": false,
  "scripts": {
    "dev": "astro dev --port 3010",
    "start": "astro preview",
    "build": "npm run generate:og && astro check && astro build",
    "preview": "astro preview",
    "astro": "astro",
    "generate:og": "tsx scripts/generate-og-image.ts",
    "prettier": "prettier --write **/*.{ts,tsx,css,astro} --ignore-path .gitignore",
    "deploy": "git push origin main:prod"
  },
  "dependencies": {
    "@astrojs/check": "^0.9.8",
    "@astrojs/markdown-remark": "^7.0.1",
    "@astrojs/mdx": "^5.0.2",
    "@astrojs/rss": "^4.0.17",
    "@astrojs/svelte": "^8.0.3",
    "@expressive-code/plugin-collapsible-sections": "^0.41.7",
    "@expressive-code/plugin-line-numbers": "^0.41.7",
    "@iconify-json/fa6-brands": "^1.2.6",
    "@iconify-json/line-md": "^1.2.16",
    "@iconify-json/lucide": "^1.2.97",
    "@iconify-json/mdi": "^1.2.3",
    "@iconify-json/simple-icons": "^1.2.73",
    "@iconify/svelte": "^5.2.1",
    "@resvg/resvg-js": "^2.6.2",
    "@tailwindcss/vite": "^4.2.1",
    "astro": "^6.0.8",
    "astro-expressive-code": "^0.41.7",
    "astro-icon": "^1.1.5",
    "class-variance-authority": "^0.7.1",
    "clsx": "^2.1.1",
    "fuse.js": "^7.1.0",
    "rehype-autolink-headings": "^7.1.0",
    "rehype-document": "^7.0.3",
    "rehype-external-links": "^3.0.0",
    "rehype-pretty-code": "^0.14.3",
    "remark-emoji": "^5.0.2",
    "remark-math": "^6.0.0",
    "remark-sectionize": "^2.1.0",
    "satori": "^0.16.2",
    "satori-html": "^0.3.2",
    "svelte": "^5.53.10",
    "tailwind-merge": "^3.5.0",
    "typescript": "^5.9.3"
  },
  "devDependencies": {
    "@vercel/og": "^0.11.1",
    "prettier": "^3.8.1",
    "sharp": "^0.34.5",
    "tsx": "^4.21.0",
    "unplugin-icons": "^23.0.1"
  },
  "prettier": {
    "semi": false,
    "singleQuote": true,
    "plugins": [
      "prettier-plugin-astro",
      "prettier-plugin-tailwindcss",
      "prettier-plugin-astro-organize-imports"
    ],
    "overrides": [
      {
        "files": "*.astro",
        "options": {
          "parser": "astro"
        }
      }
    ]
  }
}
